Problems installing DPMA

Home » Asterisk Users » Problems installing DPMA
Asterisk Users 5 Comments

Hi,

I’m just trying to install the DPMA on my Asterisk. I already made the
upgrade from Asterisk 1.8.5 to Asterisk 1.8.11-cert2. This is what i did:

*mv /usr/lib/asterisk/modules /usr/lib/asterisk/modules-185
*
*compiling Asterisk-Cert2 1.8.11*
*./configure
make
make install
make config
*
Afther that i register the DPMA license, and finally copied the *
res_digium_phone.so* to */usr/lib/asterisk/modules *

When i try to load the module on asterisk console this is what i get>

**CLI> module load res_digium_phone.so
Unable to load module res_digium_phone.so
Command ‘module load res_digium_phone.so’ failed. *

With *tail -f /var/log/asterisk/message *

*[Jun 11 18:53:26] WARNING[2554] loader.c: Error loading module
‘res_digium_phone.so’: libavahi-client.so.3: cannot open shared object
file: No such file or directory
[Jun 11 18:53:26] WARNING[2554] loader.c: Module ‘res_digium_phone.so’
could not be loaded. *

Hope you can help

5 thoughts on - Problems installing DPMA

  • Questions like this should usually be directed to Digium support.

    Your issue can be fixed by installing the package containing libavahi-client.

    On CentOS: yum install avahi
    on Debian/Ubuntu: apt-get install libavahi-client3

  • Thanks Jason,

    I didn’t see in any document with an advice of “packages needed”. And yes,
    i did open a case yesterday, no answer yet!

    BR

    2012/6/12 Jason Parker

  • It’s weird, already installed avahi with yum install avahi

    Now the error is:

    [Jun 12 16:13:46] WARNING[19949] loader.c: Error loading module
    ‘res_digium_phone.so’: /usr/lib/asterisk/modules/res_digium_phone.so:
    undefined symbol: ast_vm_msg_play
    [Jun 12 16:13:46] WARNING[19949] loader.c: Module ‘res_digium_phone.so’
    could not be loaded

    Something related to voicemail?

    Thanks

    2012/6/12 Danny Dias